package com.boocax.client.tcp;

import com.boocax.client.tcp.help.SendCommand;

/**
 * Main方法里执行两个线程
 * 
 * ① 建立TCP线程 同时接收server返回的信息
 * 
 * ② APP->Server发送命令
 */
public class Test {

	public static String serverIP = "192.168.0.53";
	// 在Udp中获取并解析
	public static String mac_address = "00:07:32:18:34:9D";
	// robot的mac_address在server的返回值里获取解析

	public static void main(String[] args) {

		// 建立TCP连接 并 开启接收线程
		new Thread(new Runnable() {

			@Override
			public void run() {
				TCP_CONN.doTCPLoop(serverIP, "", "", "");
			}
		}).start();

		// 持续发送旋转命令线程
		new Thread(new Runnable() {

			@Override
			public void run() {
				delayed();// 等待建立完成再发送指令
				while (true) {
					try {
						Thread.sleep(200);
						SendCommand.sendMove(mac_address, 0, 0, 0.2, TCP_CONN.channel);
					} catch (InterruptedException e) {
						e.printStackTrace();
					}
				}
			}
		}).start();
	}

	private static void delayed() {
		try {
			Thread.sleep(1000);
		} catch (InterruptedException e1) {
			e1.printStackTrace();
		}
	}
}
