package com.boocax.client.tcp.help;

import java.nio.channels.SocketChannel;

/**
 *	封装的APP->SERVER的方法 
 */
public class SendCommand {

	private static String sendContents; // SDK向上层应用传递信息的内容
	private static String mac_address = "";

	/**
	 * 获取所有机器人信息
	 */
	public static void sendGet_all_robot_info(SocketChannel channel) {
		sendContents = "{\"message_type\":\"get_all_robot_info\"}";
		SendUtil.send(sendContents, channel);
	}

	/**
	 * 获取所有文件
	 */
	public static void sendGetAllFile(SocketChannel channel) {
		sendContents = "{\"message_type\":\"get_all_file_info\"}";
		SendUtil.send(sendContents, channel);
	}

	/**
	 * 注册app(含密码)
	 */
	public static void sendRegister_verify(String user_name, String password, String salt, SocketChannel channel) {
		String pwd = MD5Util.getMD5String(password + salt);
		mac_address = "RR.RR.33.EE.AA";// ---获取自己机器的mac地址
		sendContents = "{ \"message_type\":\"register_client\",\"client_type\":3,\"mac_address\":" + "\"" + mac_address
				+ "\",\"user_name\":\"" + user_name + "\",\"password\":\"" + pwd + "\"}";
		SendUtil.send(sendContents, channel);
	}

	/**
	 * 动一下
	 */
	public static void sendMove(String robot_mac_address, double vx, double vy, double vtheta, SocketChannel channel) {
		sendContents = "{\"message_type\":\"move\",\"robot_mac_address\":\"" + robot_mac_address + "\",\"vx\":" + vx
				+ ",\"vy\":" + vy + ",\"vtheta\":" + vtheta + "}";
		SendUtil.send(sendContents, channel);
	}
}
