package com.boocax.client.tcp.help;

import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.channels.SocketChannel;

/**
 * 发送命令实现
 */
public class SendUtil {

	public static void send(String message, SocketChannel channel) {
		byte[] bytes = Transition.string_to_byte(message);
		try {
			channel.write(ByteBuffer.wrap(bytes));
			channel.write(ByteBuffer.wrap(message.getBytes()));
			System.out.println("发送的内容:" + message);
		} catch (java.nio.channels.NotYetConnectedException e) {

			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		} catch (java.lang.NullPointerException e) {
			e.printStackTrace();
		}

	}

	/**
	 * 封装的向server发送文件sendFiles 的中间工具类
	 */
	////////////////////////////////////////////////////////////////////////////////////////////////
	public static int dealSize(byte[] bytes) {
		int size = 0;
		size = bytes.length;
		return size;
	}

	public static String dealMD5(byte[] bytes) {
		String MD5 = null;
		MD5 = MD5Util.getMD5String(bytes);
		return MD5;
	}

	// public static String dealBase64(byte[] bytes) {
	// String content;
	// content = Base64.encodeToString(bytes, Base64.NO_WRAP);
	// content = content.replaceAll("\n|\r", "");
	// return content;
	// }
	////////////////////////////////////////////////////////////////////////////////////////////////
}
